# rpmtypes.h File Reference

Typedefs for RPM abstract data types. More...

`#include <stdint.h>`
`#include <rpm/rpmtag.h>`

Include dependency graph for rpmtypes.h:

Go to the source code of this file.

## Typedefs
typedef const char * | errmsg_t
typedef struct rpmPubkey_s * | rpmPubkey
typedef struct rpmKeyring_s * | rpmKeyring
typedef struct rpmgi_s * | rpmgi
typedef struct rpmSpec_s * | rpmSpec
typedef struct rpmRelocation_s | rpmRelocation
typedef struct _FD_s * | FD_t
| RPM IO file descriptor type.
typedef enum rpmRC_e | rpmRC
| Package read return codes.
typedef struct headerToken_s * | Header
| RPM header and data retrieval types.
typedef struct headerIterator_s * | HeaderIterator
typedef int32_t | rpm_tag_t
typedef uint32_t | rpm_tagtype_t
typedef uint32_t | rpm_count_t
typedef void * | rpm_data_t
typedef const void * | rpm_constdata_t
typedef struct rpmtd_s * | rpmtd
typedef uint32_t | rpm_color_t
typedef uint32_t | rpm_flag_t
typedef uint32_t | rpm_tid_t
typedef uint32_t | rpm_off_t
| In-header hardcoded sizes for various POSIXy types.
typedef uint64_t | rpm_loff_t
typedef uint32_t | rpm_time_t
typedef uint16_t | rpm_mode_t
typedef uint16_t | rpm_rdev_t
typedef uint32_t | rpm_dev_t
typedef uint32_t | rpm_ino_t
typedef struct rpmts_s * | rpmts
| The main types involved in transaction manipulation.
typedef struct rpmte_s * | rpmte
typedef struct rpmds_s * | rpmds
typedef struct rpmfi_s * | rpmfi
typedef struct rpmdb_s * | rpmdb
typedef struct rpmdbMatchIterator_s * | rpmdbMatchIterator
typedef struct rpmal_s * | rpmal
typedef void * | rpmalKey
typedef const void * | fnpyKey
typedef void * | rpmCallbackData
## Enumerations
enum | rpmRC_e { RPMRC_OK = 0, RPMRC_NOTFOUND = 1, RPMRC_FAIL = 2, RPMRC_NOTTRUSTED = 3, RPMRC_NOKEY = 4 }
| Package read return codes. More...

## Detailed Description

Typedefs for RPM abstract data types.

Todo:
  The grouping needs love to look sane...

Definition in file rpmtypes.h.

## Typedef Documentation

typedef const char* errmsg_t

Definition at line 17 of file rpmtypes.h.

typedef struct rpmgi_s* rpmgi

Definition at line 74 of file rpmtypes.h.

typedef struct rpmKeyring_s* rpmKeyring

Definition at line 72 of file rpmtypes.h.

typedef struct rpmPubkey_s* rpmPubkey

Definition at line 71 of file rpmtypes.h.

typedef struct rpmRelocation_s rpmRelocation

Definition at line 78 of file rpmtypes.h.

typedef struct rpmSpec_s* rpmSpec

Definition at line 76 of file rpmtypes.h.